# SDIS29-2
## Dépôt Git des programmes sources - SDIS 29

### Rôles des serveurs :

  * **ap32-test** : Serveur web permettant aussi d'effectuer des phases de tests durant le projet avant de l'implémenter sur le serveur **ap32-prod**.
  * **ap32-prod** : Serveur web final.
  * **ap32-mon** : Serveur de supervision (monitoring) jouant un rôle crucial dans l'administration et la continuité de nos opérations.
  * **ap32-ans** : Serveur Ansible contenant les playbooks pour la base de données et le déploiement de WireGuard.
  * **ap32-pt** : Machine de test pour le déploiement des playbook Ansible.

---

### Création initiale des serveurs :

  * Création des serveurs **ap32-prod**, **ap32-test**, **ap32-mon**, **ap32-ans** et **ap32-pt** via un clone intégral de la template Debian-12.7-Template sur pxlab2.
  * Définition des IDs : 2610 pour **ap32-prod**, 2611 pour **ap32-test**, 2612 pour **ap32-mon**, 2614 pour **ap32-ans**, 2615 pour **ap32-pt**.
  * Ajout d'étiquettes ap32 pour une meilleure gestion du projet.
  * Disques redimensionnés de 2Go à 12Go.
  * Définition des adresses IP : 172.16.0.110/24 pour **ap32-prod**, 172.16.0.111/24 pour **ap32-test** 172.16.0.112/24 pour **ap32-mon**, pour **ap32-ans**, 172.16.0.114/24 et pour **ap32-pt**, 172.16.0.115/24.
  * Ajout de nos clés publiques SSH (id-rsa.pub) de nos machines physiques dans les serveurs ap32 grâce à cloud-init.
  * Regénération des images cloud-init avant le démarrage les serveurs.
---

### Premières étapes de configuration sur l'ensemble des serveurs :

  * Suite à l'ajout de nos clés publiques dans les serveurs ap32, une première connexion s'impose avec la commande `ssh debian@ap32-X` (ici la résolution de nom a été géré par Monsieur Sevre).
  * Machines définies sur la **timezone** Europe/Paris avec la commande `timedatectl set-timezone Europe/Paris`.
  * Ajout du fichier **apt.conf** pour pouvoir franchir le proxy, fichier qui a été récupéré depuis **depl** depuis la commande `wget depl/sio/api/apt.conf` puis déplacer le fichier **apt.conf** avec `mv apt.conf /etc/apt/`.
  * La commande `apt update && apt upgrade -y` ensuite effectuée sur chacun des machines pour mettre à jour la liste des paquets et installe toutes les mises à jour disponibles automatiquement.
  * La commande `apt install qemu-guest-agent -y` effectuée sur l'ensemble des machines permet de faciliter la communication entre la VM et Proxmox.


